# -*- coding: utf-8 -*-

try:
    import wingdbstub
except:
    pass
import os, os.path,sys, glob, shutil, re

import xbmc
import xbmcgui
import xbmcplugin
import xbmcaddon
# import xbmcvfs
import inputstreamhelper

addon_handle = int(sys.argv[1])
xbmcplugin.setContent(addon_handle, 'movies')

is_helper = inputstreamhelper.Helper('mpd', drm='com.widevine.alpha')
lic_url = "https://fe-iptv.baltcom.lv/drm/widevine/license/||R{SSM}|"




if is_helper.check_inputstream():
    url = "https://mfe2-iptv.baltcom.lv/dash/CH_7_44.ism/playlist.mpd"
    img = "http://fe-iptv.baltcom.lv/api/v1/images/load?imageName=/chnnl/31/e2/ba/be/dc72-4f8f-b5e8-705bff2b98b7.png"
    listitem = xbmcgui.ListItem('Widevine DASH stream', path=url, iconImage=img)

    #playitem.setProperty('inputstreamaddon', is_helper.inputstream_addon)
    listitem.setProperty('inputstreamaddon', 'inputstream.adaptive')
    listitem.setProperty('inputstream.adaptive.license_type', 'com.widevine.alpha')
    listitem.setProperty('inputstream.adaptive.manifest_type', 'mpd')
    listitem.setProperty('inputstream.adaptive.license_key', lic_url)
    listitem.setMimeType('application/dash+xml')
    listitem.setContentLookup(False)

#xbmcplugin.setResolvedUrl(pluginhandle, True, listitem=listitem)
xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=listitem)

xbmcplugin.endOfDirectory(addon_handle)
